/*
 * (c) 2018 Christian Grieger
 * GNU GENERAL PUBLIC LICENSE
 * 
 * Temperature and humidity measuring with the DHT11 sensor
 */
 
#include "DHT.h"

#define PIN_SENSOR 4

DHT dht(PIN_SENSOR, DHT11);
float humidity, temperature;

void setup() 
{
  Serial.begin(9600);
  dht.begin();
}

void loop() 
{
  delay(2000);
  
  humidity = dht.readHumidity();
  temperature = dht.readTemperature();
  
  Serial.println("Humidity:    " + String(humidity) + "%");
  Serial.println("Temperature: " + String(temperature) + "°C");
}
